import { IContent } from './InternalDataModels';
export declare const _clickCaptureInputTypes: {
    BUTTON: boolean;
    CHECKBOX: boolean;
    RADIO: boolean;
    RESET: boolean;
    SUBMIT: boolean;
};
/**
* Determines whether an event is a right click or not
* @param evt - Mouse event
* @returns true if the event is a right click
*/
export declare function _isRightClick(evt: any): boolean;
/**
* Determines whether an event is a left click or not
* @param evt - Mouse event
* @returns true if the event is a left click
*/
export declare function _isLeftClick(evt: any): boolean;
/**
* Determines whether an event is a middle click or not
* @param evt - Mouse event
* @returns true if the event is a middle click
*/
export declare function _isMiddleClick(evt: any): boolean;
/**
*  Determines whether an event is a keyboard enter or not
* @param evt - Keyboard event
* @returns true if the event is a keyboard enter
*/
export declare function _isKeyboardEnter(evt: KeyboardEvent): boolean;
/**
*  Determines whether an event is a keyboard space or not
* @param evt - Keyboard event
* @returns true if the event is a space enter
*/
export declare function _isKeyboardSpace(evt: KeyboardEvent): boolean;
/**
 * Gets the content tags in the element.
 * @param element The element to parse for content.
 */
export declare function _getContent(element: Element): IContent;
/**
 *
* Get click target
* @returns Click target URI
*/
export declare function _getClickTarget(element: any): string;
export declare function _getPathNameFromUri(uri: string): string;
/**
* Generate hashcode from a string
* @param value - The string to generate hashcode
* @returns The generated hashcode
*/
export declare function _hashCode(value: string): number;
