import Analytics from '../Analytics';
import { IAutoCapture } from './DataModels';
import { IScreenResolution } from './InternalDataModels';
import { IReferrer } from '../Index';
/**
 * Class for autocollecting signals.
 */
export default class Autocollector {
    private _analytics;
    /**
     * Autocollects signals based on the config passed.
     * @param analytics The analytics class to use to send signals.
     * @param config The config detailing what needs to be auto collected.
     */
    _autocollect(analytics: Analytics, config: IAutoCapture): void;
    /**
     * Gets the screen resolution.
     */
    _getScreenResolution(): IScreenResolution;
    _getPageNameFromPath(pageName: string): string;
    _getReferrer(doc: Document): IReferrer;
    _removeAllListeners(): void;
    private _captureView;
    private _captureClicks;
    private _processClick;
}
