import { BaseTelemetryPlugin, IProcessTelemetryContext, IExtendedTelemetryItem } from '@microsoft/1ds-core-js';
import SessionManager from './SessionManager';
import { IUser } from '../analytics/DataModels';
/**
 * This class adds a telemetry plugin to populate autocollected properties.
 */
export default class Properties extends BaseTelemetryPlugin {
    private _timeZone;
    private _domain;
    private _user;
    private _mseiCreated;
    private _props;
    private _sessionManager;
    origin: string;
    _msei: string;
    constructor();
    setup(SessionManager: SessionManager): void;
    /**
     * Process the current telemetry item.
     * @param event event to process
     * @param itemCtx context information for the core telemetry library
     */
    processTelemetry(event: IExtendedTelemetryItem, itemCtx?: IProcessTelemetryContext): void;
    setUser(user: IUser): void;
    setProperty(name: string, value: string | number | boolean | Date): void;
    private _addPropsIfNotAlreadyAdded;
    private _removeEmptyKeys;
}
