/**
 * This class adds ability to store properties in various types of storages or custom storage.
 * TODO(abpanwar): This class will change once we add support for other storage types, custom storage and error handling.
 */
export default class StorageManager {
    private _storage;
    /**
     * Creates an instance of the storage manager class to determine the storage that needs to be used.
     * @param storageDisabled Whether storage is disabled due to user not providing consent.
     */
    constructor(storageDisabled: boolean);
    /**
     * Get local storage if available.
     */
    static _getLocalStorage(): Storage;
    /**
     * Stores a key value pair in the chosen storage.
     * @param key key to be stored
     * @param value value to be stored
     */
    _setProperty(key: string, value: string): void;
    /**
     * Returns a value associated with the passed key. Null if key is not present.
     * @param key key to be used to return the value
     */
    _getProperty(key: string): string;
    /**
     * Deletes all data stored in cookies or local storage.
     */
    private _deleteAllStorage;
}
