import { __extends } from "tslib";
import { TestClass } from '../TestClass';
import StorageManager from '../../src/properties/StorageManager';
import { _EISessionKey, _EIPreviousKey, _MSEI } from '../../src/properties/Constants';
import { Utils } from '@microsoft/1ds-core-js';
var StorageManagerTest = /** @class */ (function (_super) {
    __extends(StorageManagerTest, _super);
    function StorageManagerTest() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    // tslint:disable-next-line:no-empty
    StorageManagerTest.prototype.testInitialize = function () {
    };
    StorageManagerTest.prototype.registerTests = function () {
        this.testCase({
            name: 'Test set and get property',
            test: function () {
                var storageManager = new StorageManager(false);
                //Set property
                storageManager._setProperty('abc', '123');
                QUnit.assert.equal(window.localStorage.getItem('abc'), '123');
                //Get property
                var value = storageManager._getProperty('abc');
                QUnit.assert.equal(value, '123');
                window.localStorage.removeItem('abc');
            }
        });
        this.testCase({
            name: 'Test storage disabled deletes storage keys',
            test: function () {
                //Set cookie and localstorage keys
                window.localStorage.setItem(_EISessionKey, 'test');
                window.localStorage.setItem(_EIPreviousKey, 'test');
                Utils.setCookie(_MSEI, 'test', 365);
                var storageManager = new StorageManager(true);
                QUnit.assert.notOk(window.localStorage.getItem(_EISessionKey));
                QUnit.assert.notOk(window.localStorage.getItem(_EIPreviousKey));
                QUnit.assert.notOk(Utils.getCookie(_MSEI));
            }
        });
    };
    return StorageManagerTest;
}(TestClass));
export { StorageManagerTest };
//# sourceMappingURL=StorageManagerTest.js.map