module.exports = function(grunt) {
  grunt.initConfig({
    tslint: {
      options: {
        rulesDirectory: "node_modules/tslint-microsoft-contrib"
      },
      files: {
        src: [
          "./src/**/*.ts",
          "./test/*.ts",
          "!./node_modules/**",
          "!./dist-esm/**"
        ]
      }
    },
    ts: {
      options: {
        comments: true
      },
      ei: {
        tsconfig: "./tsconfig.json"
      }
    }
  });

  grunt.event.on("qunit.testStart", function(name) {
    grunt.log.ok("Running test: " + name);
  });

  grunt.loadNpmTasks("grunt-ts");
  grunt.loadNpmTasks("grunt-tslint");
  grunt.loadNpmTasks("grunt-contrib-qunit");
  grunt.loadNpmTasks("grunt-contrib-connect");
  grunt.registerTask("build", ["ts:ei"]);
};
