/**
 * Index.ts
 * @author Abhilash Panwar (abpanwar)
 * @copyright Microsoft 2020
 */
 
import { isWindowObjectAvailable, getWindow, Utils } from '@microsoft/1ds-core-js';
import { IEvent, IView, IReferrer, IAnalyticsConfiguration, IAutoCapture, IAction, IUser } from './analytics/DataModels';
import { ActionType } from './analytics/Enums';
import Analytics from './Analytics';

export { IEvent, IView, IReferrer, IUser, IAnalyticsConfiguration, IAutoCapture, IAction, ActionType, Analytics };

// Run through queue if window object available

if (isWindowObjectAvailable) {
    let win = getWindow();
    let queueName = 'MSEIqueue';
    let queue = win[queueName];
    if (Utils.isArray(queue)) {
       for (let index = 0; index < queue.length; index++) {
            const args = queue[index];
            if (args[0] === 'new') {
                win[args[1] as string] = new Analytics();
            } else {
                (win[args[1] as string] as Analytics)[args[0] as string].apply(win[args[1]], args[2]);
            }
        }
    }
    delete win[queueName];
}
